Loading...
Searching...
No Matches
itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform > Class Template Reference

`#include <itkGPUAffineTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>
class itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >

GPU version of AffineTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUAffineTransform.h.

Inheritance diagram for itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType
using | CPUMatrixType = typename GPUSuperclass::CPUMatrixType
using | CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, NDimensions, NDimensions>
using | Pointer = SmartPointer<Self>
using | Self = GPUAffineTransform
Public Types inherited from itk::GPUMatrixOffsetTransformBase< float, 3, 3 >
using | CPUInverseMatrixType
using | CPUMatrixType
using | CPUOutputVectorType
using | GPUSuperclass
using | ScalarType
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const CPUMatrixType & | GetCPUMatrix () const
virtual const CPUOutputVectorType & | GetCPUOffset () const
Public Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 3, 3 >
bool | IsMatrixOffsetTransform () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| GPUAffineTransform ()
virtual | ~GPUAffineTransform ()
Protected Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 3, 3 >
GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUMatrixOffsetTransformBase ()
| ~GPUMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUAffineTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 51 of file itkGPUAffineTransform.h.

## CPUInverseMatrixType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType

Definition at line 61 of file itkGPUAffineTransform.h.

## CPUMatrixType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::CPUMatrixType = typename GPUSuperclass::CPUMatrixType

Typedefs from GPUSuperclass.

Definition at line 60 of file itkGPUAffineTransform.h.

## CPUOutputVectorType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType

Definition at line 62 of file itkGPUAffineTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 47 of file itkGPUAffineTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, NDimensions, NDimensions>

Definition at line 48 of file itkGPUAffineTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 50 of file itkGPUAffineTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

using itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::Self = GPUAffineTransform

Standard class typedefs.

Definition at line 46 of file itkGPUAffineTransform.h.

## Constructor & Destructor Documentation

## GPUAffineTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GPUAffineTransform | ( |  | ) |

inline protected

Definition at line 79 of file itkGPUAffineTransform.h.

## ~GPUAffineTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

virtual itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::~GPUAffineTransform | ( |  | ) |

inline protected virtual

Definition at line 80 of file itkGPUAffineTransform.h.

## GPUAffineTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GPUAffineTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

virtual const char * itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUMatrixOffsetTransformBase< float, 3, 3 >.

## GetCPUMatrix()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

virtual const CPUMatrixType & itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GetCPUMatrix | ( |  | ) | const

inline virtual

Get CPU matrix of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 3, 3 >.

Definition at line 66 of file itkGPUAffineTransform.h.

## GetCPUOffset()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

virtual const CPUOutputVectorType & itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::GetCPUOffset | ( |  | ) | const

inline virtual

Get CPU offset of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 3, 3 >.

Definition at line 73 of file itkGPUAffineTransform.h.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

Pointer itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AffineTransform<TScalarType, NDimensions>>

const Self & itk::GPUAffineTransform< TScalarType, NDimensions, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |